Subject: Problems with make and [ba]sh.exe in b20.1 ?
From: [email-masked] (Steve Coleman)

21 Jan 1999 21:31:50 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: GnuWin32 <[email-masked]>

I am currently trying to understand why the subshell of make would be
trying to open a file named '/c'. I get the message "/c: Can't open /c". 

It appears to work correctly from my local CMD.EXE window but not when
connecting remotely using ssh & xterm or from my Codewrite GUI
environment. Perhapse it is triggered by some environment setting?

I have "C:\Gnu" mounted as "/". Creating the '/c' file permits make to
continue (i.e dup() the open handle) but nothing ever gets built! If
anyone has a clue I could use a few right now.

:-}

Thanks.

% mount
Device           Directory           Type        Flags
\\C\perl         /perl               native      text!=binary
\\.\tape1:       /dev/st1            native      text!=binary
\\.\tape0:       /dev/st0            native      text!=binary
\\.\b:           /dev/fd1            native      text!=binary
\\.\a:           /dev/fd0            native      text!=binary
C:\Gnu           /            

My .bashrc file is minimal (just the PATH) since I use the tcsh shell
for everything else.

STRACE 0x10 output when /c exists:
<deleted to save space>
[main] make 7398 (0) _close: close (2)
[main] C:\Gnu\cygwin-b20\H-i586-cygwin32\bin\sh.EXE 7398 (0) _sbrk:
_sbrk (40)
[main] sh 7398 (0) _sbrk: base 0xA030000, ptr 0xA030000, end 0x12030000,
size 134217728, avail 134217728
[main] sh 7398 (0) _sbrk: 0xA030000 = sbrk (0x28) (total 0x28)
[main] sh 7398 (0) _sbrk: _sbrk (4056)
[main] sh 7398 (0) _sbrk: base 0xA030000, ptr 0xA030028, end 0x12030028,
size 134217728, avail 134217688
[main] sh 7398 (0) _sbrk: 0xA030028 = sbrk (0xFD8) (total 0x1000)
[main] sh 7398 (0) time: 916937558 = time (0)
[main] sh 7398 (0) _sbrk: _sbrk (4096)
[main] sh 7398 (0) _sbrk: base 0xA030000, ptr 0xA031000, end 0x12031000,
size 134217728, avail 134213632
[main] sh 7398 (0) _sbrk: 0xA031000 = sbrk (0x1000) (total 0x2000)
[main] sh 7398 (0) dll_crt0_1: Application CYGWIN version: 20.1
(167973048)
[main] sh 7398 (0) dll_crt0_1: CYGWIN DLL version: 20.1
[main] sh 7398 (0) _open: open (/c, 0x0)
[main] sh 7398 (0) fhandler_disk_file::open: (/c, 0x0)
[main] sh 7398 (0) symlink_check_one: 0 = symlink_check_one (C:\Gnu\c,
0x241F8C1, 260) (normal file)
[main] sh 7398 (0) fhandler_base::open: (C:\Gnu\c, 0x0)
[main] sh 7398 (0) fhandler_base::open: 308 = CreateFileA (C:\Gnu\c,
0x80000000, 0x7, 0x61064F20, 0x3, 0x80, 0)
[main] sh 7398 (1) fhandler_base::open: filemode defaulting to text
[main] sh 7398 (0) fhandler_base::open: 1 = fhandler_base::open
(C:\Gnu\c, 0x0)
[main] sh 7398 (0) fhandler_disk_file::open: 1 =
fhandler_disk_file::open (C:\Gnu\c, 0x0)
[main] sh 7398 (0) _open: 4 = open (/c, 0x0)
[main] sh 7398 (0) hinfo::dup2: 10 = dup2 (4, 10)
[main] sh 7398 (0) _fcntl: 10 = fcntl (4, 0, 10)
[main] sh 7398 (0) _close: close (4)
[main] sh 7398 (0) fhandler_base::close: handle 0x134
[main] sh 7398 (0) _close: 0 = close (4)
[main] sh 7398 (0) _fcntl: 0 = fcntl (10, 2, 1)
[main] sh 7398 (0) _read: read (10, 0x412B80, 1023)
[main] sh 7398 (0) read_handler: 0 = read (10</c>, 0x412B80, 1023)
[main] sh 7398 (0) do_exit: do_exit (0)
<deleted to save space>

-- 
Name: Steve Coleman <[email-masked]>
At:   Johns Hopkins Applied Physics Laboratory
Washington: Voice: 240-228-6330 Fax: 240-228-5597
Baltimore:  Voice: 443-778-6330 Fax: 443-778-5597
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".